import javax.swing.*;
import javax.swing.event.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.io.*;

/**
 *<pre>
 * RPGProcFrame.java
 * This class creates and handles the UI for the RPGProc Lpexlet.
 *</pre>
 */
public class RPGProcFrame extends JFrame implements ActionListener
{
    private JPanel contentPane = null;

    private JButton cancelButton = null;
    private JButton clearButton  = null;
    private JButton okButton     = null;

	 private JLabel pgmrNameLabel = null;
	 private JLabel procNameLabel = null;
	
	 private JTextField pgmrNameTextField = null;	
	 private JTextField procNameTextField = null;

	
   /**
    * Class constructor
    */
    public RPGProcFrame()
    {
	   super();

      setSize(426, 240);
      setTitle("RPG Procedure Template");

      // --------------------------------------------------------------------
      // Creating button objects
      // --------------------------------------------------------------------
      // Create Ok button object
      okButton = new JButton("OK");
      okButton.setBounds(42, 170, 85, 25);			
       // Make sure client is listening to the Ok button
      okButton.addActionListener(this);

      // Create cancel button object
      cancelButton = new JButton("Cancel");
      cancelButton.setBounds(169, 170, 85, 25);
      // Make sure client is listening to the Cancel button
      cancelButton.addActionListener(this);

      // Create clear button object
      clearButton = new JButton("Clear");
      clearButton.setBounds(296, 170, 85, 25);
      // Make sure client is listening to the Clear button
      clearButton.addActionListener(this);
      // --------------------------------------------------------------------


      // --------------------------------------------------------------------
      // Creating Labels
      // --------------------------------------------------------------------
      // Create text label for procedure nanme
      procNameLabel = new JLabel("Procedure Name");
      procNameLabel.setBounds(35, 27, 146, 20);

      // Create text label for programmer name
      pgmrNameLabel = new JLabel("Programmer Name");
      pgmrNameLabel.setBounds(35, 74, 147, 20);
      // --------------------------------------------------------------------


      // --------------------------------------------------------------------
      // Creating entry fields
      // --------------------------------------------------------------------
      // Creating an entry field for procedure name
      procNameTextField = new JTextField();
      procNameTextField.setBounds(218, 27, 169, 19);
			
      // Creating an entry field for programmer name
      pgmrNameTextField = new JTextField();
      pgmrNameTextField.setBounds(218, 74, 169, 19);
      // --------------------------------------------------------------------

            		
      // --------------------------------------------------------------------
 	   // Construct the JPanel object - client canvas and add all controls
 	   // --------------------------------------------------------------------
      contentPane = new JPanel();			
      contentPane.setLayout(null);

      // Add all entry controls and corresponding Labels to the client pane
      contentPane.add(procNameLabel, procNameLabel.getName());
      contentPane.add(pgmrNameLabel, pgmrNameLabel.getName());
      contentPane.add(procNameTextField, procNameTextField.getName());
      contentPane.add(pgmrNameTextField, pgmrNameTextField.getName());

      // Add all button controls to the client pane
      contentPane.add(okButton, okButton.getName());
      contentPane.add(cancelButton, cancelButton.getName());
      contentPane.add(clearButton, clearButton.getName());
      // --------------------------------------------------------------------


      // --------------------------------------------------------------------
      // Now that everything is constructed, set the client pane to contentPane
      // --------------------------------------------------------------------
      setContentPane(contentPane);
      // --------------------------------------------------------------------
    } // end constructor()	


    /**
     * Overwrite actionPerformed() method of the ActionListner interface
     * If any registered button is pressed, this method gets invoked
     */
     public void actionPerformed(ActionEvent evt)
     {
       // First of all figure out which button was just pressed
       String arg = evt.getActionCommand();

       if( arg.equals("OK") )
       {
         RPGProc.setDocVars(procNameTextField.getText(), pgmrNameTextField.getText());
         dispose();
       } // end if(Ok button is pressed)
       else if( arg.equals("Cancel") )
       {
         dispose();
       } // end if(Cancel button is pressed)
       else if( arg.equals("Clear") )
       {
         procNameTextField.setText("");
         pgmrNameTextField.setText("");
       } // end if(Help button is pressed)
     } // end actionPerformed()

} // end class RPGProcFrame
// --------------------------------------------------------------------

